# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global openssl_min 1.0.1

%global crate openssl-sys

Name:           rust-%{crate}
Version:        0.9.31
Release:        1%{?dist}
Summary:        FFI bindings to OpenSSL

License:        MIT
URL:            https://crates.io/crates/openssl-sys
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No windows
Patch0:         openssl-sys-0.9.31-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
# [build-dependencies]
BuildRequires:  (crate(cc) >= 1.0.0 with crate(cc) < 2.0.0)
BuildRequires:  (crate(pkg-config) >= 0.3.9 with crate(pkg-config) < 0.4.0)
BuildRequires:  pkgconfig(openssl) >= %{openssl_min}

%description
%{summary}.

%package        devel
Summary:        %{summary}
Requires:       pkgconfig(openssl) >= %{openssl_min}
BuildArch:      noarch

%description    devel
FFI bindings to OpenSSL.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Tue May 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.31-1
- Update to 0.9.31

* Wed May 02 2018 Josh Stone <jistone@redhat.com> - 0.9.30-1
- Update to 0.9.30

* Fri Apr 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.28-1
- Update to 0.9.28

* Thu Mar 01 2018 Josh Stone <jistone@redhat.com> - 0.9.27-1
- Update to 0.9.27

* Mon Feb 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.26-1
- Update to 0.9.26

* Thu Feb 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.25-1
- Update to 0.9.25

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.24-1
- Update to 0.9.24

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.23-2
- Rebuild for rust-packaging v5

* Wed Dec 06 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.23-1
- Update to 0.9.23

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.22-1
- Update to 0.9.22

* Sun Nov 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.21-1
- Update to 0.9.21

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.14-1
- Update to 0.9.14

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.10-2
- Port to use rust-packaging

* Mon Apr 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.10-1
- Update to 0.9.10

* Wed Mar 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.9-1
- Update to 0.9.9

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.7-2
- Rebuild

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.7-1
- Initial package
